/* custom.h
 * Forth-79 Standard with Double-Number-Standard Extensions (+ qlibrary) 
 * Copyleft 2011-2020
 * Antonio Maschio <ing dot antonio dot maschio at gmail dot com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * In this file the customizable items are listed.
 *
 * It's GPL! Enjoy! */


/* CUSTOMIZABLE ITEMS 
 * Change the data in this file at the following conditions:
 * - don't change the nature of a datum: if it's enclosed in quotes it's a 
 *   string, if it's a number it must not be turned to string...
 * - don't remove or comment out these definitions; they are essential
 *   in compilation. If you have doubts, leave definitions untouched */

/* Initials - put your own here!
 * Used only in editor STAMP, but this may be extended in the future 
 * Note: this is a three-chars string. If you have only two initials,
 * leave one blank after or before (eg. "AZ " or " AZ"). */
#define INITIALS	"AAM" // This stands for Antonio A. Maschio

/* PC Speaker
 * the following is for the terminal bell simulation; 
 * if you have the sox package (default on most Linux systems) you probably
 * can use SPEAKER1, which uses the 'play' tool to emit the notes;
 * if you don't have sox installed, you probably have the 'speaker-test' 
 * program in your system; in this case choose SPEAKER2 as the definition
 * for SPEAKER; 
 * if you have nor sox neither the speaker-test tool, set SPEAKER to SPEAKER3; 
 * this last will simply print a bell ASCII character; on most systems this 
 * does not work, but this is anyway harmless (the word BELL will be mute).
 * if you want to disable the BELL system, set SPEAKER to SPEAKER4 or SPEAKER5.
 * The same architecture is for SOUND; 
 * again, if you have the sox package you probably can use SOUND1, which uses 
 * the 'play' tool to emit the notes;
 * if you don't have sox installed, you probably have the 'speaker-test' 
 * program in your system; in this case choose SOUND2 as the definition
 * for SOUND; 
 * if you want to disable the (SOUND) system, set SOUND to SOUND3 or SOUND4.
 * To test for the play tool, type from shell
 * $ play -q -n synth 0.3 sin 500
 * and you should hear a short beep. To test for speaker-test, type from shell
 * $ speaker-test
 * and, if available, a long noise sound should start. Type CTRL-C to stop
 * but pay attention: the effect is not immediate. 
 * */
#define SPEAKER		SPEAKER1
#define SOUND		SOUND1

/* user shell 
 * Put here your own shell; the path should not be necessary, but strongly
 * encouraged because you know, you never know... */
#define SHELL		"/bin/bash"
