/* errors.h
 * Forth-79 Standard with Double-Number-Standard Extensions (+ qlibrary) 
 * Copyleft 2011-2020
 * Antonio Maschio <ing dot antonio dot maschio at gmail dot com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * in this file the system errors/warnings strings array is contained */

char* error_list[] = {
/*000*/	"# cannot be used outside of <#..#>.",
/*001*/	"#> cannot be used outside of <#..#>.",
/*002*/	"#S cannot be used outside of <#..#>.",
/*003*/	"+LOOP without correspondent DO.",
/*004*/	"warning: incompleted structure in compiled word.",
/*005*/	"EXIT cannot be used within a DO-LOOP.",
/*006*/	"HOLD cannot be used outside of <#..#>.",
/*007*/	"index word 'I' must be used inside a DO..LOOP.",
/*008*/	"index word 'J' must be used inside a second level DO..LOOP.",
/*009*/	"LEAVE must be used inside a DO..LOOP.",
/*010*/	"LOOP without correspondent DO.",
/*011*/	"SIGN cannot be used outside of <#..#>.",
/*012*/	"built-in words cannot be forgotten.",
/*013*/	"execution-only words cannot be compiled.",
/*014*/	"inexistent words cannot be compiled.",
/*015*/	"compile-only word.",
/*016*/	"empty control flow stack.",
/*017*/	"control flow stack overflow.",
/*018*/	"division by zero.",
/*019*/	"given length exceeds the maximum value.",
/*020*/	"illegal address.",
/*021*/	"illegal buffer.",
/*022*/	"illegal line number.",
/*023*/	"illegal number.",
/*024*/	"illegal string length.",
/*025*/	"insufficient return stack depth for I/J.",
/*026*/	"insufficient data stack depth for PICK.",
/*027*/	"insufficient data stack depth for ROLL.",
/*028*/	"invalid block number.",
/*029*/	"maximum number of vocabularies created.",
/*030*/	"memory error.",
/*031*/	"missing backward reference for +LOOP.",
/*032*/	"missing backward reference for AGAIN.",
/*033*/	"missing backward reference for LOOP.",
/*034*/	"missing backward reference for REPEAT.",
/*035*/	"missing backward reference for UNTIL.",
/*036*/	"missing data in the input buffer queue.",
/*037*/	"missing name for colon definition.",
/*038*/	"missing variable name.",
/*039*/	"negative argument for ROLL.",
/*040*/	"negative or zero argument for PICK.",
/*041*/	"range surpasses memory limit.",
/*042*/	"empty return stack.",
/*043*/	"return stack overflow.",
/*044*/	"empty stack.",
/*045*/	"stack overflow.",
/*046*/	"too much opened files/ports.",
/*047*/	"unable to save buffer to file block.",
/*048*/	"unfinished colon definition in file.",
/*049*/	"word is not in the dictionary.",
/*050*/	"words below fence cannot be forgotten.",
/*051*/	"missing constant name.",
/*052*/	"file not found.",
/*053*/	"library file not found.",
/*054*/	"word not found in the library.",
/*055*/	"illegal delimiter for WORD/TEXT",
/*056*/	"built-in words cannot be TRACEd",
/*057*/	"Irregular string ender",
/*058*/	"stack position differ from what saved in CSP",
/*059*/	"illegal file-id for READ-LINE",
/*060*/	"illegal file-id for WRITE-LINE",
/*061*/	"unable to configure the system.",
	""
};

#define ERROR_NUM 61	// last useful
