/* wordlist.h
 * Forth-79 Standard with Double-Number-Standard Extensions (+ qlibrary) 
 * Copyleft 2011-2020
 * Antonio Maschio <ing dot antonio dot maschio at gmail dot com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * in this file all codes for built-in words are stored. 
 * Variables and constants are not contained here because the execution token
 * is contained in the items themselves. */

/* Forth-79 and qlibrary words */

#define _CF_GET				0	// CF-GET
#define _32_COMMA                       1    	// 2,
#define _32_FETCH                       2    	// 2@
#define _32_STORE                       3    	// 2!
#define _79_STANDARD			4	// 79-STANDARD
#define _ABORT				5
#define _ABS				6
#define _ACT_WORD			7	// (WORD)
#define _AGAIN				8
#define _ALLOT				9
#define _AND				10
#define _ASCII				11
#define _BANNER				12
#define _BEGIN				13
#define _BELL				14
#define _QUESTION_CSP			15	// ?CSP
#define _BLOCK				16
#define _BLOCK_READ			17	// (BLOCK-READ)
#define _BLOCK_WRITE			18	// (BLOCK-WRITE)
#define _BRACKETS_COMPILE		19	// [COMPILE]
#define _BUFFER				20
#define _BYE				21
#define _STORE_CSP                      22	// !CSP
#define _CASE				23
#define _CLEAR				24
#define _CLOCK				25
#define _CLOSED_SQUARE			26	// ]
#define _CLOSE_FILE			27	// CLOSE-FILE
#define _CMOVE				28
#define _LIB				29
#define _COLON				30	// :
#define _COMMA				31	// ,
#define _COMPILE			32
#define _COMPILE_ONLY			33	// COMPILE-ONLY
#define _CONSTANT			34
#define _CONVERT			35
#define _COPY				36
#define _COUNT				37
#define _CR				38
#define _CREATE				39
#define _C_COMMA			40	// C,
#define _C_FETCH			41	// C@
#define _C_STORE			42	// C!
#define _DABS				43	
#define _DATE				44	
#define _DECIMAL			45	
#define _DEFINITIONS			46	
#define _DEPTH				47	
#define _DMAX				48	
#define _DMIN				49	
#define _DNEGATE			50	
#define _DO				51	
#define _DOES_TO			52	// DOES>	
#define _DOT				53	// .
#define _DOT_QUOTES			54	// ."
#define _DOT_R				55	// .R
#define _DOT_S				56	// .S
#define _DROP				57
#define _DUMP				58
#define _DUP				59
#define _D_DOT				60	// D.
#define _D_DOT_R			61	// D.R
#define _D_EQUAL			62	// D=
#define _D_LESSER			63	// D<
#define _D_MINUS			64	// D-
#define _D_PLUS				65	// D+
#define _D_SLASH			66	// D/
#define _D_STAR				67	// D*
#define _D_U_LESSER			68	// DU<
#define _D_ZERO_EQUAL			69	// D0=
#define _EA				70	// A
#define _EB				71	// B
#define _EC				72	// C
#define _ED				73	// D
#define _EDIT	                     	74
#define _EDITOR				75
#define _EE				76	// E
#define _EF				77	// F
#define _EH				78	// H
#define _EI				79	// I of EDITOR
#define _EL				80	// L	
#define _ELSE				81
#define _EM				82	// M
#define _EMIT				83
#define _EMPTY_BUFFERS			84	// EMPTY-BUFFERS
#define _EN				85	// N
#define _ENDCASE			86
#define _ENDOF				87
#define _ENSURE				88
#define _EP				89	// P
#define _EQUAL				90	// =
#define _ER				91	// R
#define _ERROR		                92
#define _ES				93	// S
#define _ET				94	// T
#define _ETEXT				95	// TEXT
#define _EX				96	// X
#define _EXECUTE			97
#define _EXEC_ONLY			98	// EXEC-ONLY
#define _EXIT				99
#define _EXPECT				100
#define _FETCH				101	// @
#define _FILL				102
#define _FIND				103
#define _FORGET				104
#define _FORTH				105
#define _GREATER			106	// >
#define _HERE				107
#define _HEX				108
#define _HOLD				109
#define _H_DOT				110	// H.
#define _I				111	// I of DO..LOOP
#define _IF				112
#define _IMMEDIATE			113
#define _INCLUDE                     	114
#define _INFO				115
#define _INTERPRET                      116
#define _J				117
#define _KEY				118
#define _LEAVE				119
#define _LESSER				120	// <
#define _LESSER_SHARP			121	// <#
#define _LIST				122
#define _LITERAL			123
#define _LOAD				124
#define _LOAD_SYSTEM			125	// LOAD-SYSTEM
#define _SEARCH				126
#define _LOOP				127
#define _MAX				128
#define _MESSAGE                        129
#define _MIN				130
#define _MINUS				131	// -
#define _CLOSE_PAREN			132	// ) -- noop
#define _MOD				133
#define _MOVE				134
#define _NEGATE				135
#define _NOT				136
#define _OF				137
#define _USE	                  	138
#define _ONE_MINUS			139	// 1-
#define _ONE_PLUS			140	// 1+
#define _DEBUG                     	141
#define _OPEN_FILE			142	// OPEN-FILE
#define _OPEN_SQUARE			143	// [
#define _OR				144
#define _ORDER				145
#define _OVER				146
#define _PAD				147
#define _PAGE				148
#define _PAREN				149	// (
#define _PICK				150
#define _PLUS				151	// +
#define _PLUS_LOOP			152	// +LOOP
#define _PLUS_STORE			153	// +!
#define _QUERY				154
#define _QUESTION			155	// ?
#define _QUESTION_DUP			156	// ?DUP
#define _QUESTION_ERROR                 157	// ?ERROR
#define _QUESTION_TERMINAL		158	// ?TERMINAL
#define _QUIT				159
#define _READ_LINE			160	// READ-LINE
#define _REPEAT				161
#define _REQUIRE			162
#define _ROLL				163
#define _ROT				164
#define _R_FETCH			165	// R@
#define _DLITERAL			166	
#define _R_TO				167	// R>
#define _SAVE_BUFFERS			168 	// SAVE-BUFFERS
#define _SAVE_SYSTEM			169	// SAVE-SYSTEM
#define _SEE				170
#define _SEMICOLON			171	// ;
#define _TASK				172
#define _SHARP				173	// #
#define _SHARP_GREATER			174	// #>
#define _SHARP_S			175	// #S
#define _SHIFT				176
#define _SIGN				177
#define _SLASH				178	// /
#define _SLASH_MOD			179	// /MOD
#define _SPACE				180
#define _SPACES				181
#define _STAMP				182	// STAMP (editor)
#define _STAR				183	// *
#define _STAR_SLASH			184	// */
#define _STAR_SLASH_MOD			185	// */MOD
#define _M_STAR_SLASH			186	// M*/
#define _STORE				187	// !
#define _SWAP				188
#define _THEN				189	// THEN/ENDIF
#define _TICK				190	// '
#define _TILL				191	
#define _TIME				192
#define _TOP				193
#define _TO_R				194	// >R
#define _TRACE				195
#define _TRAILING			196	// -TRAILING
#define _TWO_CONSTANT			197	// 2CONSTANT
#define _TWO_DROP			198	// 2DROP
#define _TWO_DUP			199	// 2DUP
#define _TWO_FETCH			200	// 2@
#define _TWO_MINUS			201	// 2-
#define _TWO_OVER			202	// 2OVER
#define _TWO_PLUS			203	// 2+
#define _TWO_ROT			204	// 2ROT
#define _TWO_STORE			205	// 2!
#define _TWO_SWAP			206	// 2SWAP
#define _TWO_VARIABLE			207	// 2VARIABLE
#define _TYPE				208
#define _UNTIL				209	// UNTIL/END
#define _CF_PUT				210	// CF-PUT
#define _UPDATE				211	// MARK/UPDATE
#define _U_DOT				212	// U.
#define _U_DOT_R			213	// U.R
#define _U_D_DOT			214	// UD.
#define _U_LESSER			215	// U<
#define _U_SLASH_MOD			216	// U/MOD
#define _U_STAR				217	// U*
#define _VARIABLE			218
#define _VERSION			219
#define _VOCABULARY			220
#define _WHERE                          221
#define _WHILE				222
#define _WORD				223
#define _WORDS				224
#define _WRITE_LINE			225	// WRITE-LINE
#define _U_D_SLASH			226	// UD/
#define _XOR				227
#define _ZERO_EQUAL			228	// 0=
#define _ZERO_GREATER			229	// 0>
#define _ZERO_LESSER			230	// 0<
#define _ZERO_LESSER_GREATER		231	// 0<>
#define _LICENSE			232	// 
// system routines
#define _SET_VOC_NUM	                233 	// (VOCABULARY)
#define _DEFERCOMPILE			234 	// (COMPILE)
#define _NOOP				235	// system NOOP code
#define _PAREN_ABORT   			236	// (ABORT)
#define _PUSH_DOES			237	// (DOES>)
#define _PUSH_STRING_ADDR		238 	// (SLITERAL)
#define _RT_AGAIN                       239 	// (AGAIN)
#define _RT_BEGIN                       240 	// (BEGIN)
#define _RT_CASE                        241 	// (CASE)
#define _RT_DO                          242 	// (DO)
#define _RT_ELSE                        243 	// (ELSE)
#define _RT_ENDCASE                     244 	// (ENDCASE)
#define _RT_ENDOF                       245 	// (ENDOF)
#define _RT_IF                          246 	// (IF)
#define _RT_LOOP                        247 	// (LOOP)
#define _RT_OF                          248 	// (OF)
#define _RT_PLUS_LOOP                   249 	// (+LOOP)
#define _RT_REPEAT                      250 	// (REPEAT)
#define _RT_THEN                        251 	// (THEN)
#define _RT_UNTIL                       252 	// (UNTIL)
#define _RT_WHILE                       253 	// (WHILE)
#define _SOUND				254 	// (SOUND)
// final code
#define _WORD_ENDER			0xff	// (EXIT)

// special block words called directly
#define _SEMI_S				300	// ;S
#define _MINUS_TO			301	// -->
#define _SEARCH_LIB                     302

// port words
#define _PORT				350	
#define _ON				351
#define _OFF				352
#define _LISTEN				353
#define _SEND				354

// vocabulary limit code
#define VOC_END				355 	// last plus 1

